import { Class } from './class';
export interface Package {
    name: string;
    packages: Package[];
    classes: Class[];
}
/**
 * Parses a directory and the contained java files.
 * @param root the root directory of the package
 * @param name [the name of the package]
 * @returns the package with all of its contents
 */
export declare function getPackage(root: string, name?: string): Promise<Package>;
